Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetAuthenticationEmailAddress

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetAuthenticationEmailAddress

Enclosing class:
  TdApi

public static final class TdApi.SetAuthenticationEmailAddress extends TdApi.Function<TdApi.Ok>
Sets the email address of the user and sends an authentication code to the email address. Works only when the current authorization state is authorizationStateWaitEmailAddress.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`emailAddress`
The email address of the user.

## Constructor Summary

Constructors
Constructor
Description
`SetAuthenticationEmailAddress()`
Sets the email address of the user and sends an authentication code to the email address.
`SetAuthenticationEmailAddress(DataInput input)`
Sets the email address of the user and sends an authentication code to the email address.
`SetAuthenticationEmailAddress(String emailAddress)`
Sets the email address of the user and sends an authentication code to the email address.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### emailAddress

public String emailAddress
The email address of the user.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetAuthenticationEmailAddress

public SetAuthenticationEmailAddress()
Sets the email address of the user and sends an authentication code to the email address. Works only when the current authorization state is authorizationStateWaitEmailAddress.

Returns `Ok`

### SetAuthenticationEmailAddress

public SetAuthenticationEmailAddress(String emailAddress)
Sets the email address of the user and sends an authentication code to the email address. Works only when the current authorization state is authorizationStateWaitEmailAddress.

Returns `Ok`

Parameters:
  `emailAddress` - The email address of the user.

  Returns `Ok`

### SetAuthenticationEmailAddress

public SetAuthenticationEmailAddress(DataInput input) throws IOException
Sets the email address of the user and sends an authentication code to the email address. Works only when the current authorization state is authorizationStateWaitEmailAddress.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`